Package com.smartgwt.client.ai

# Class MakeQueryDataQuestionStepResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.MakeQueryDataQuestionStepResult

All Implemented Interfaces:
  `HasHandlers`

public class MakeQueryDataQuestionStepResult extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MakeQueryDataQuestionStepResult()`
  `MakeQueryDataQuestionStepResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DSRequest`
  `getDsRequestProperties()`
  `static MakeQueryDataQuestionStepResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `MakeQueryDataQuestionStep`
  `getStep()`
  `MakeQueryDataQuestionStepResult`
  `setDsRequestProperties(DSRequest dsRequestProperties)`
  `MakeQueryDataQuestionStepResult`
  `setStep(MakeQueryDataQuestionStep step)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MakeQueryDataQuestionStepResult

    public MakeQueryDataQuestionStepResult()

  - ### MakeQueryDataQuestionStepResult

    public MakeQueryDataQuestionStepResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static MakeQueryDataQuestionStepResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setDsRequestProperties

    public MakeQueryDataQuestionStepResult setDsRequestProperties(DSRequest dsRequestProperties)
    Parameters:
      `dsRequestProperties` - New dsRequestProperties value. Default value is *specified via AI*
    Returns:
      `MakeQueryDataQuestionStepResult` instance, for chaining setter calls

  - ### getDsRequestProperties

    public DSRequest getDsRequestProperties()
    Returns:
      Current dsRequestProperties value. Default value is *specified via AI*

  - ### setStep

    public MakeQueryDataQuestionStepResult setStep(MakeQueryDataQuestionStep step)
    Parameters:
      `step` - New step value. Default value is *initialized by the implementation*
    Returns:
      `MakeQueryDataQuestionStepResult` instance, for chaining setter calls

  - ### getStep

    public MakeQueryDataQuestionStep getStep()
    Returns:
      Current step value. Default value is *initialized by the implementation*